# Changelog

## [2.9.1] - 2024-03-11

### Bug Fixes

- Ignore invalid info values instead of crashing

### Miscellaneous

- Bump mio from 0.8.10 to 0.8.11 (#42)
- Update dependencies

### Ci

- Remove NetBSD build

## [2.9.0] - 2024-02-06

### Bug Fixes

- Do not display "Unknown" in os name

### Features

- Add Bazzite logo (#39)

### Miscellaneous

- Fix clippy warnings
- Update typst (#40)
- Update dependencies

## [2.8.1] - 2023-10-13

### Bug Fixes

- Fix macOS Sonoma "unknown" (libmacchina 7.2)

### Miscellaneous

- Update dependencies

### Ci

- Add workflow to render all logos

## [2.8.0] - 2023-07-07

### Bug Fixes

- Use short forms for colors below 8 (#31)

### Documentation

- Add nixpkgs installation instructions

### Features

- Add support for custom logos at runtime

### Miscellaneous

- Update dependencies

### Refactor

- Outsource pfetch logo parser code to separate crate

## [2.7.0] - 2023-05-22

### Features

- Add cpu name info option
- Add Oracle Linux logo

### Miscellaneous

- Update dependencies

### Refactor

- Simplify code with `.ok()`

## [2.6.1] - 2023-05-16

### Miscellaneous

- Fast RPM package count on openSUSE (libmacchina 7.1.0)
- Update dependencies

## [2.6.0] - 2023-05-12

### Features

- Add Rocky Linux logo
- Add Alma Linux logo

### Miscellaneous

- Update dependencies

## [2.5.0] - 2023-04-14

### Bug Fixes

- Never show `TEMPLATE_VERSION_ID` in os name
- Fix panic when file specified in `PF_SOURCE` does not exist

### Documentation

- Rewrite notice on slow package counts in README

### Features

- Add help menu and `-v` argument to show version (#24)
- Add alternative `rpm` package count method (for OpenSUSE)

### Miscellaneous

- Bump libmacchina to version 7.0.0
- Update dependencies

## [2.4.0] - 2023-03-24

### Documentation

- Update benchmark table content in README
- Add homebrew installation instructions (#20)

### Features

- Add SteamOS logo
- Add Vanilla OS logo (#22)
- Finish FreeBSD and Android support (libmacchina 6.4.0)

### Miscellaneous

- Update dependencies

### Ci

- Add more targets to the check workflow

## [2.3.0] - 2023-03-16

### Bug Fixes

- Fix Bedrock Linux not being detected
- Disable line wrap for pfetch output

### Features

- Add option to set title color to info name color (#15)

### Miscellaneous

- Update dependencies

## [2.2.0] - 2023-03-09

### Bug Fixes

- Fix `invalid logos.sh file` error when building on Windows

### Features

- Add Nobara Project logo

### Miscellaneous

- Update dependencies

### Performance

- Prefer libmacchina readouts over dotenvy

### Ci

- Add macOS aarch64 release binary (#13)
- Add Windows x86_64 release binary

## [2.1.0] - 2023-02-28

### Bug Fixes

- Fix os and host detection on Windows

### Documentation

- Add new logos to README.md

### Features

- Add windows ascii logo
- Use libmacchina package count for Windows and BSD
- Add DietPi logo and support all 256 ANSI colors

### Miscellaneous

- Sort logos alphabetically

## [2.0.0] - 2023-02-21

### Bug Fixes

- [**breaking**] Fix OS and host detection on macOS

### Miscellaneous

- Update dependencies

## [1.0.0] - 2023-02-19

### Documentation

- Add binary installation option to README.md
- Add `PF_FAST_PKG_COUNT` to available options in README.md

### Features

- [**breaking**] Add option to skip count of nix packages (#2, #10)

### Miscellaneous

- Use dotenvy instead of dotenv

## [0.1.1] - 2023-02-17

### Bug Fixes

- Correct wrong target name
- Fix ASCII detection on MacOS (#4)
- Fix macos package count

### Miscellaneous

- Add git-cliff configuration
- Change linux x86 target to gnu

### Ci

- Add github workflows for tests and releases

<!-- generated by git-cliff -->
